summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/firefox/firefox.install
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/community/firefox/firefox.install')
-rw-r--r--abs/extra/community/firefox/firefox.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/abs/extra/community/firefox/firefox.install b/abs/extra/community/firefox/firefox.install
new file mode 100644
index 0000000..cd50dec
--- /dev/null
+++ b/abs/extra/community/firefox/firefox.install
@@ -0,0 +1,24 @@
+post_install() {
+ update-desktop-database -q
+
+ # For LinHES: check for a fluxbox keys file that doesnt have a mapping
+ # for Alt-w and map it to firefox.
+
+ if [ -e /home/mythtv/.fluxbox/keys ]
+ then
+ if ! grep -q "Mod1 w" /home/mythtv/.fluxbox/keys
+ then
+ echo Adding fluxbox key for firefox.
+ echo "Mod1 w :ExecCommand firefox" >> /home/mythtv/.fluxbox/keys
+ fi
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ update-desktop-database -q
+}
+